Project-I
HomeAPI Test
HomeAPI Test
  1. API Test
  • Find pet by ID
    GET
  • Add a new pet to the store
    POST
  • Update an existing pet
    PUT
  • Deletes a pet
    DELETE
  • Finds Pets by status
    GET
  1. API Test

Finds Pets by status

GET
/pet/findbyStatus

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200OK
application/json
Body

🟠400Invalid status value
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/1012399-0-default/pet/findbyStatus?status' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success example
{
    "code": 0,
    "data": [
        {
            "name": "Hello Kitty",
            "photoUrls": [
                "http://dummyimage.com/400x400"
            ],
            "id": 3,
            "category": {
                "id": 71,
                "name": "Cat"
            },
            "tags": [
                {
                    "id": 22,
                    "name": "Cat"
                }
            ],
            "status": "sold"
        },
        {
            "name": "White Dog",
            "photoUrls": [
                "http://dummyimage.com/400x400"
            ],
            "id": 3,
            "category": {
                "id": 71,
                "name": "Dog"
            },
            "tags": [
                {
                    "id": 22,
                    "name": "Dog"
                }
            ],
            "status": "sold"
        }
    ]
}
Modified at 2025-07-23 06:56:40
Previous
Deletes a pet
Built with